; The CMD file.

;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 30

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;-| Hold Buttons |-----------------------------------------------------------
[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "holdstart"
command = /s
time = 1

;---------------------------------------------------------------
; AI activations
[Command]
name = "AI1"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI2"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI3"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI4"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI5"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI6"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI7"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI8"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI9"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI11"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI12"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI13"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI14"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI15"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0

[Command]
name = "AI16"
command = U,U,U,U,U,U,U,U,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI17"
command = ~U+a+b+c+x+y+z+s,DF, F, D,DF, F,x,x,x,x,x
time = 0

[Command]
name = "AI18"
command = ~U+a+b+c+x+y+z+s,DF, F, D,DF, F,y,y,y,x,x
time = 0

[Command]
name = "AI19"
command = ~U+a+b+c+x+y+z+s,DF, F, D,DF, F,z,z,z,x,x
time = 0

[Command]
name = "AI20"
command = ~U+a+b+c+x+y+z,DF, F, D,DF, F,a,a,a,x,x
time = 0

;-| Supers |--------------------------------------------------------;
[Command]
name = "Hadouken1" ; slow
command = ~D, DF, F, x
time = 15
[Command]
name = "Hadouken2" ; normal
command = ~D, DF, F, y
time = 15
[Command]
name = "Hadouken3" ; fast
command = ~D, DF, F, z
time = 15
[Command]
name = "Hadouken1" ; slow
command = ~D, DF, F, ~x
time = 15
[Command]
name = "Hadouken2" ; normal
command = ~D, DF, F, ~y
time = 15
[Command]
name = "Hadouken3" ; fast
command = ~D, DF, F, ~z
time = 15

[Command]
name = "Shoryuken1" ; slow
command = ~F, D, DF, x
[Command]
name = "Shoryuken2" ; normal
command = ~F, D, DF, y
time = 20
[Command]
name = "Shoryuken3" ; fast
command = ~F, D, DF, z
time = 20
[Command]
name = "Shoryuken1" ; slow
command = ~F, D, DF, ~x
time = 20
[Command]
name = "Shoryuken2" ; normal
command = ~F, D, DF, ~y
time = 20
[Command]
name = "Shoryuken3" ; fast
command = ~F, D, DF, ~z
time = 20

[Command]
name = "TatsumakiZankuuKyaku1" ; slow
command = ~D, DB, B, a
time = 15
[Command]
name = "TatsumakiZankuuKyaku2" ; normal
command = ~D, DB, B, b
time = 15
[Command]
name = "TatsumakiZankuuKyaku3" ; fast
command = ~D, DB, B, c
time = 15
[Command]
name = "TatsumakiZankuuKyaku1" ; slow
command = ~D, DB, B, ~a
time = 15
[Command]
name = "TatsumakiZankuuKyaku2" ; normal
command = ~D, DB, B, ~b
time = 15
[Command]
name = "TatsumakiZankuuKyaku3" ; fast
command = ~D, DB, B, ~c
time = 15

[Command]
name = "Rasetsu Kyaku1" ;short
command = ~F, D, DF, a
time = 20
[Command]
name = "Rasetsu Kyaku2" ;normal
command = ~F, D, DF, b
time = 20
[Command]
name = "Rasetsu Kyaku3" ;long
command = ~F, D, DF, c
time = 20
[Command]
name = "Rasetsu Kyaku1" ;short
command = ~F, D, DF, ~a
time = 20
[Command]
name = "Rasetsu Kyaku2" ;normal
command = ~F, D, DF, ~b
time = 20
[Command]
name = "Rasetsu Kyaku3" ;long
command = ~F, D, DF, ~c
time = 20

[Command]
name = "RyusenKyaku1" ;short
command = ~B, D, DB, a
time = 20
[Command]
name = "RyusenKyaku2" ;normal
command = ~B, D, DB, b
time = 20
[Command]
name = "RyusenKyaku3" ;long
command = ~B, D, DB, c
time = 20
[Command]
name = "RyusenKyaku1" ;short
command = ~B, D, DB, ~a
time = 20
[Command]
name = "RyusenKyaku2" ;normal
command = ~B, D, DB, ~b
time = 20
[Command]
name = "RyusenKyaku3" ;long
command = ~B, D, DB, ~c
time = 20


;-| Hypers |------------------------------------------------------
[Command]
name = "Shinbuu Messatsu"
command = ~D, DF, F, D, DB, B, x
[Command]
name = "Shinbuu Messatsu"
command = ~D, DF, F, D, DB, B, y
[Command]
name = "Shinbuu Messatsu"
command = ~D, DF, F, D, DB, B, z
[Command]
name = "Shinbuu Messatsu"
command = ~D, DF, F, D, DB, B, ~x
[Command]
name = "Shinbuu Messatsu"
command = ~D, DF, F, D, DB, B, ~y
[Command]
name = "Shinbuu Messatsu"
command = ~D, DF, F, D, DB, B, ~z

[Command]
name = "Shinryuken1" ; light
command = ~D, DF, F, D, DF, F, a
[Command]
name = "Shinryuken2" ; normal
command = ~D, DF, F, D, DF, F, b
[Command]
name = "Shinryuken3" ; strong
command = ~D, DF, F, D, DF, F, c
[Command]
name = "Shinryuken1" ; light
command = ~D, DF, F, D, DF, F, ~a
[Command]
name = "Shinryuken2" ; normal
command = ~D, DF, F, D, DF, F, ~b
[Command]
name = "Shinryuken3" ; strong
command = ~D, DF, F, D, DF, F, ~c

[Command]
name = "Kuzuryuu Reppa1" ; light
command = ~D, DB, B, D, DB, B, a
[Command]
name = "Kuzuryuu Reppa2" ; normal
command = ~D, DB, B, D, DB, B, b
[Command]
name = "Kuzuryuu Reppa3" ; strong
command = ~D, DB, B, D, DB, B, c
[Command]
name = "Kuzuryuu Reppa1" ; light
command = ~D, DB, B, D, DB, B, ~a
[Command]
name = "Kuzuryuu Reppa2" ; normal
command = ~D, DB, B, D, DB, B, ~b
[Command]
name = "Kuzuryuu Reppa3" ; strong
command = ~D, DB, B, D, DB, B, ~c

[Command]
name = "Shoryu Reppa1" ; light
command = ~D, DF, F, D, DF, F, x
[Command]
name = "Shoryu Reppa2" ; normal
command = ~D, DF, F, D, DF, F, y
[Command]
name = "Shoryu Reppa3" ; strong
command = ~D, DF, F, D, DF, F, z
[Command]
name = "Shoryu Reppa1" ; light
command = ~D, DF, F, D, DF, F, ~x
[Command]
name = "Shoryu Reppa2" ; normal
command = ~D, DF, F, D, DF, F, ~y
[Command]
name = "Shoryu Reppa3" ; strong
command = ~D, DF, F, D, DF, F, ~z

;-| Motions/Dodges |--------------------------------------------------------------
[Command]
name = "QCF"
command = ~D, DF,F
[Command]
name = "QCB"
command = ~D, DB,B
[Command]
name = "2QCF"
command = ~D, DF, F, D, DF,F
[Command]
name = "2QCB"
command = ~D, DB, B, D, DB,B

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "2kicks"
command = b+c
time = 1

[Command]
name = "2kicks"
command = a+b
time = 1

[Command]
name = "2kicks"
command = a+c
time = 1

[Command]
name = "2punchs"
command = y+z
time = 1

[Command]
name = "2punchs"
command = x+y
time = 1

[Command]
name = "2punchs"
command = x+z
time = 1

[Command]
name = "punch/kick"
command = c+z
time = 1

[Command]
name = "Super Jump"
command = D, $U
time = 3


;-| Release Buttons |--------------------------------------------------------
[Command]
name = "relx"
command = ~x
time = 1

[Command]
name = "rely"
command = ~y
time = 1

[Command]
name = "relz"
command = ~z
time = 1

[Command]
name = "rela"
command = ~a
time = 1

[Command]
name = "relb"
command = ~b
time = 1

[Command]
name = "relc"
command = ~c
time = 1

;-| Others |-----------------------------------------------------------------
[Command]
name = "Jump"
command = $U
time = 1

;-| CPU |-----------------------------------------------------------
[Command]
name = "a2"
command = a
time = 1

[Command]
name = "b2"
command = b
time = 1

[Command]
name = "c2"
command = c
time = 1

[Command]
name = "x2"
command = x
time = 1

[Command]
name = "y2"
command = y
time = 1

[Command]
name = "z2"
command = z
time = 1

[Command]
name = "start2"
command = s
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "holda2"
command = /a
time = 1

[Command]
name = "holdb2"
command = /b
time = 1

[Command]
name = "holdc2"
command = /c
time = 1

[Command]
name = "holdx2"
command = /x
time = 1

[Command]
name = "holdy2"
command = /y
time = 1

[Command]
name = "holdz2"
command = /z
time = 1

[Command]
name = "holdstart2"
command = /s
time = 1

[Command]
name = "recovery2"
command = x+y
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
[Statedef -1]
;---------------------------------------------------------------------------
; AI
;---------------------------------------------------------------------------
[State -1, AI Helper Check]
type = ChangeState
trigger1 = IsHelper(9741)
value = 9741

[State -1, AI Helper Check 2]
type = ChangeState
trigger1 = IsHelper(9742)
value = 9742

;---------------------------------------------------------------------------
[State -1, AI Shinbuu Messatsu]
type = ChangeState
value = 3200
triggerall = power >= 3000
triggerall = MoveType != H && statetype != A && p2statetype != L
triggerall = var(58) = 1 && p2stateno != 1055
trigger1 = (p2stateno = [120,155]) && p2bodydist x < 45 && p2bodydist y < -15 && ctrl && random <= 250
trigger2 = (StateNo=220||StateNo=230||StateNo=320||StateNo=330) && movecontact && random <= 300
trigger3 = p2bodydist x < 30 && p2bodydist y < -10 && (P2Movetype=A||P2Movetype=I) && ctrl && random <=250
;---------------------------------------------------------------------------
[State -1, AI Shinryuken]
type = ChangeState
value = 3000
triggerall = p2stateno != [1054,1055]
triggerall = power >= 1000 && StateType != A
triggerall = var(58) = 1 && (p2stateno != [5071,5069])
trigger1 = (p2stateno=[5000,5999]) && p2bodydist x < 7 && (StateNo=[200,330]) && MoveHit && random <=100
trigger2 = (p2bodydist x=[-10,10]) && (p2bodydist y=[-140,-30]) && p2stateno!=1055 && ctrl && random <=100
trigger3 = p2bodydist x < 7 && P2MoveType = A && ctrl && random <=100
trigger4 = (StateNo=3100&&AnimElemTime(40)>0&&AnimElemTime(51)<0||StateNo=3300&&AnimElemTime(12)<0) && MoveContact && random <=80
;---------------------------------------------------------------------------
[State -1, AI Kuzuryuu Reppa]
type = ChangeState
value = 3100
triggerall = p2stateno != [1054,1055]
triggerall = power >= 1000 && StateType != A
triggerall = var(58) = 1 && (p2stateno != [5030,5170])
trigger1 = (p2stateno=[5000,5027]) && p2bodydist x < 15 && (StateNo=[200,330]) && MoveHit && random <=115
trigger2 = (p2bodydist x=[-18,18]) && (p2bodydist y=[-10,10]) && p2stateno!=1055 && ctrl && random <=100
trigger3 = p2bodydist x < 10 && p2bodydist y < -15 && P2MoveType = A && ctrl && random <=100
trigger4 = (stateno=400||stateno=500||stateno=510) && MoveHit && random <=140
;---------------------------------------------------------------------------
[State -1, AI Shoryu Reppa 1]
type = ChangeState
value = 3300
triggerall = p2stateno != [1054,1055]
triggerall = power >= 2000 && StateType != A
triggerall = var(58) = 1 && (p2stateno != [5030,5170])
trigger1 = (p2stateno=[5000,5027]) && p2bodydist x < 15 && (StateNo=[200,330]) && MoveHit && random <=125
trigger2 = (p2bodydist x=[-18,18]) && (p2bodydist y=[-5,10]) && NumHelper(1000)=1 && ctrl && random <=125
trigger3 = p2bodydist x < 10 && (p2bodydist y=[-10,10]) && P2MoveType = A && ctrl && random <=115
trigger4 = (stateno=400||stateno=500||stateno=510) && MoveHit && random <=120
;---------------------------------------------------------------------------
[State -1, AI Shoryu Reppa 2]
type = ChangeState
value = 3301
triggerall = p2stateno != [1054,1055]
triggerall = power >= 3000 && StateType != A
triggerall = var(58) = 1 && (p2stateno != [5030,5170])
trigger1 = (p2stateno=[5000,5027]) && p2bodydist x < 15 && (StateNo=[200,330]) && MoveHit && random <=80
trigger2 = (p2bodydist x=[-18,18]) && (p2bodydist y=[-5,10]) && NumHelper(1000)=1 && ctrl && random <=80
trigger3 = p2bodydist x < 10 && (p2bodydist y=[-10,10]) && P2MoveType = A && ctrl && random <=80
trigger4 = (stateno = 520||stateno = 500) && MoveHit && random <=80
;---------------------------------------------------------------------------
[State -1, AI Rasetsu Kyaku]
type = ChangeState
value = 1040
triggerall = StateType != A
triggerall = var(58) = 1
triggerall = ctrl && (p2statetype != L)
trigger1 = (p2bodydist y = [-24,5]) && (p2bodydist x = [45,150]) && StateNo=0 && random <=65
trigger2 = p2bodydist x < 5 && P2MoveType = A && random <=65
trigger3 = Enemy,NumProj>0 && random <=70
trigger4 = Enemy,Numhelper>0 && random <= IfElse(EnemyNear,AuthorName="warusaki3"||AuthorName="Don Drago",20,80)
;-------------------------------------------------------
[State -1, AI Tatsumaki Zankuu Kyaku]
type = ChangeState
value = 1020
triggerall = var(58) = 1 && statetype != A
triggerall = (p2stateno != [5030,5069])
trigger1 = (p2bodydist x = [75,5]) && (p2bodydist y = [-70,30]) && ctrl && random <=105
trigger2 = (StateNo=500||StateNo=400||StateNo=320) && MoveContact && random <=80
;---------------------------------------------------------------------------
[State -1, AI Air Tatsumaki Zankuu Kyaku]
type = ChangeState
value = 1030
triggerall = statetype = A && var(58) = 1
trigger1 = (stateno = [710,720]) && MoveContact && random <=115
trigger2 = p2bodydist x <= 50 && time>=15 && ctrl && random <=80
;-------------------------------------------------------
[State -1, AI Ryusen Kyaku]
type = ChangeState
value = 1050
triggerall = var(58) = 1 && statetype != A
triggerall = (p2stateno != [5030,5069])
trigger1 = p2bodydist x <= 28 && ctrl && random <=80
trigger2 = p2stateno = 5070 && (p2bodydist x <= 35) && (p2bodydist y = [-30,0]) && ctrl && random <=90
trigger3 = StateNo=520 && MoveContact && random <=90
;-------------------------------------------------------
[State -1, AI Shoryuken]
type = ChangeState
value = 1010
triggerall = var(58) = 1
triggerall = statetype != A
triggerall = (p2stateno != [5030,5069])
trigger1 = ((stateno = [200,210])||(stateno = [300,320])) && p2bodydist x <= 34 && movehit && random <=105
trigger2 = p2bodydist x <= 28 && ctrl && random <=85
trigger3 = p2stateno = 5070 && p2bodydist x <= 20 && ctrl && random <=100
trigger4 = StateNo=520 && MoveContact && random <=95
;---------------------------------------------------------------------------
[State -1, AI Hadouken]
type = ChangeState
value = 1000
triggerall = NumHelper(1001)=0 && (p2stateno != [5030,5170])
triggerall = var(58) = 1 && StateType != A
trigger1 = ((stateno = [210,230])||(stateno = [320,340])) && MoveHit && random <=100
trigger2 = (p2bodydist x > 150) && (p2bodydist y = [-25,0]) && PrevStateNo!=1000 && ctrl && random <=70
;---------------------------------------------------------------------------
[State -1, AI Powerup]
type = ChangeState
value = 800
triggerall = var(58) = 1
triggerall = statetype != A
triggerall = power < 3000
trigger1 = ctrl && p2stateno=1055 && (p2bodydist x > 100) && random <=50
trigger2 = (p2bodydist x > 150) && ctrl && random <=45
;---------------------------------------------------------------------------
[State -1, AI Throws]
type = ChangeState
value = IfElse(random<500,900,905)
triggerall = var(58) = 1
triggerall = statetype = S && ctrl  && stateno != 184
trigger1 = (p2stateno=[120,150]) && ((p2statetype=S)||(p2statetype=C)) && p2bodydist X < 10 && random <=130
trigger2 = ((p2statetype=S)||(p2statetype=C)) && p2bodydist X < 10 && p2movetype!=H && random <=125
;---------------------------------------------------------------------------
[State -1, AI Jump]
type = ChangeState
value = 40
triggerall = var(58) = 1
triggerall = statetype != A && ctrl
trigger1 = RoundState=2 && p2bodydist x>160 && p2dist y<-100 && random <= 70
;---------------------------------------------------------------------------
[State -1, AI Walk Forward]
type = ChangeState
value = 20
triggerall = var(58) = 1 && statetype != A
trigger1 = RoundState=2 && stateno=0 && ctrl && time>=10 && random <=120
;---------------------------------------------------------------------------
[State -1, AI Hop Forward]
type = ChangeState
value = 100
triggerall = var(58) = 1 && StateType != A && RoundState=2
trigger1 = stateno=0 && p2bodydist x>130 && ctrl && time>=15 && random <=100
;---------------------------------------------------------------------------
[State -1, AI Hop Back]
type = ChangeState
value = 105
triggerall = var(58) = 1 && StateType != A
trigger1 = p2bodydist x <= 20 && p2movetype=A && ctrl && random <=120
trigger2 = RoundState=2 && stateno=0 && ctrl && (PrevStateNo=100)&& time>=10 && random <=110
trigger3 = p2bodydist x <= 50 && ctrl && (p2stateno = [5080,5170]) && random <=333
;-------------------------------------------------------
[State -1, AI Stand light punch]
type = ChangeState
value = IfElse(p2bodydist x < 10,210,200)
triggerall = var(58) = 1 && random <=700
triggerall = P2statetype != A
triggerall = statetype != A && (stateno != 184 || stateno != 3201)
triggerall = (p2stateno != [5000,5999])
trigger1 = p2bodydist x <= 25 && (p2bodydist y = [-5,10]) &&  ctrl
trigger2 = p2bodydist x <= 25 && p2movetype=I &&  ctrl
trigger3 = stateno=300||stateno=400||stateno=500 && movecontact && p2bodydist x<=18 && ctrl
;-------------------------------------------------------
[State -1, AI Stand light kick]
type = ChangeState
value = 300
triggerall = var(58) = 1 && random <=700
triggerall = P2statetype != A
triggerall = statetype != A && (stateno != 184 || stateno != 3201)
triggerall = (p2stateno != [5000,5999])
trigger1 = (p2bodydist x <= 25) && (p2bodydist y = [-5,10]) &&  ctrl
trigger2 = (p2bodydist x <= 25) && p2movetype=I &&  ctrl
;-------------------------------------------------------
[State -1, AI Stand medium punch]
type = ChangeState
value = IfElse(p2bodydist x < 6,230,220)
triggerall = var(58) = 1
triggerall = P2statetype != A
triggerall = statetype != A  && (stateno != 184 || stateno != 3201)
trigger1 = (stateno = 300||(stateno = [200,210])) && p2bodydist x <= 17 && movecontact && random <=150
trigger2 = stateno = 310 && (prevstateno!=220||prevstateno!=230) && movecontact && random <=150
trigger3 = ctrl && p2bodydist x <= 15 && random <=130
;-------------------------------------------------------
[State -1, AI Stand medium kick (forward)]
type = ChangeState
value = 320
triggerall = var(58) = 1
triggerall = statetype != A && (stateno != 184 || stateno != 3201)
trigger1 = NumHelper(1001)=1 && p2bodydist x <= 30 && ctrl && random <=80
trigger2 = ctrl && p2bodydist x <= 30 && p2bodydist y <= -30 && random <=80
trigger3 = PrevstateNo = 105 && ctrl && p2bodydist x <= 50 && random <=80
;-------------------------------------------------------
[State -1, AI Stand medium kick]
type = ChangeState
value = 310
triggerall = var(58) = 1
triggerall = P2statetype != A
triggerall = statetype != A && (stateno != 184 || stateno != 3201)
trigger1 = (stateno = 300||(stateno = [200,210])) && p2bodydist x <= 27 && movecontact && random <=150
trigger2 = (stateno = [220,230]) && (prevstateno != 310) && movecontact && random <=150
trigger3 = ctrl && p2bodydist x <= 15 && random <=125
;-------------------------------------------------------
[State -1, AI Stand strong punch]
type = ChangeState
value = ifelse(p2bodydist x <6,250,240)
triggerall = var(58) = 1
triggerall = P2statetype != A
triggerall = statetype != A && (stateno != 184 || stateno != 3201)
trigger1 = ((stateno = [200,230])||(stateno = [300,320])) &&  p2bodydist x <= 34 && movecontact && random <=160
trigger2 = ctrl && p2bodydist x <= 15 && random <=130
;-------------------------------------------------------
[State -1, AI Stand strong kick]
type = ChangeState
value = ifelse(p2bodydist x < 10,340,330)
triggerall = var(58) = 1
triggerall = P2statetype != A
triggerall = statetype != A && (stateno != 184 || stateno != 3201)
trigger1 = ((stateno = [200,230])||(stateno = [300,320])) &&  p2bodydist x <= 34 && movecontact && random <=170
trigger2 = ctrl && p2bodydist x <= 40 && random <=135
;-------------------------------------------------------
[State -1, AI Crouch light punch]
type = ChangeState
value = 400
triggerall = var(58) = 1
triggerall = P2statetype != A && statetype != A
trigger1 = (stateno=200||stateno=300||stateno=400||stateno=500) && p2bodydist x <= 20 && movecontact && random <=250
trigger2 = ctrl && p2bodydist x <= 9 && random <=110
;-------------------------------------------------------
[State -1, AI Crouch light kick]
type = ChangeState
value = 500
triggerall = var(58) = 1
triggerall = P2statetype != A && statetype != A
trigger1 = (stateno=200||stateno=300||stateno=400||stateno=500) && p2bodydist x <= 18 && movecontact && random <=250
trigger2 = ctrl && p2bodydist x <= 15 && random <=130
;-------------------------------------------------------
[State -1, AI Crouch medium kick]
type = ChangeState
value = 510
triggerall = var(58) = 1
triggerall = P2statetype != A && statetype != A
trigger1 = (stateno=200||stateno=300||stateno=400||stateno=500) && p2bodydist x <= 20 && movecontact && random <=250
trigger2 = ctrl && p2bodydist x <= 30 && random <=190
;-------------------------------------------------------
[State -1, AI Crouch strong kick]
type = ChangeState
value = 520
triggerall = var(58) = 1 && statetype != A
trigger1 = ((stateno = [200,230])||(stateno = [300,320])) &&  p2bodydist x <= 30 && movecontact && random <=180
trigger2 = ctrl && p2bodydist x <= 20 && random <=130
trigger3 = (stateno = [400,510]) && movecontact && random <=210
trigger4 = ctrl && p2bodydist x<=25 && ((p2stateNo=[120,152])&&P2Statetype!=C) && random <=170
;-------------------------------------------------------
[State -1, AI Air strong punch]
type = ChangeState
value = 620
triggerall = var(58) = 1
triggerall = statetype = A && Time >= 10
trigger1 =  p2bodydist x <= 25 && ctrl && random <=90
;-------------------------------------------------------
[State -1, AI Air medium kick]
type = ChangeState
value = IfElse(Vel X != 0,740,710)
triggerall = var(58) = 1
triggerall = statetype = A && Time >= 10
trigger1 =  p2bodydist x <= 30 && ctrl && random <=100
;-------------------------------------------------------
[State -1, AI Air strong kick]
type = ChangeState
value = IfElse(Vel X != 0,750,720)
triggerall = var(58) = 1
triggerall = statetype = A && Time >= 10
trigger1 =  p2bodydist x <= 30 && ctrl && random <=115
;-------------------------------------------------------
[State -1, AI Taunt]
type = ChangeState
value = 195
triggerall = var(58) = 1 && statetype != A
trigger1 = ctrl && p2statetype = L && p2bodydist x >= 120 && random <=120


;---------------------------------------------------------------------------
; Human
;---------------------------------------------------------------------------
[State -1, Shinbuu Messatsu]
type = ChangeState
value = 3200
triggerall = command= "Shinbuu Messatsu" && var(58)<1
triggerall = statetype != A && power >= 3000
trigger1 = ctrl
;---------------------------------------------------------------------------
[State -1, Kuzuryuu Reppa]
type = ChangeState
value = 3100
triggerall = (command="Kuzuryuu Reppa1"&&power>=1000||command="Kuzuryuu Reppa2"&&power>=2000||command="Kuzuryuu Reppa3"&&power>=3000)
triggerall = statetype != A && var(58)<1
trigger1 = ctrl
trigger2 = (StateNo=[200,510]) && MoveContact
;---------------------------------------------------------------------------
[State -1, Shinryuken]
type = ChangeState
value = 3000
triggerall = (command="Shinryuken1"&&power>=1000||command="Shinryuken2"&&power>=2000||command="Shinryuken3"&&power>=3000)
triggerall = statetype != A && var(58)<1
trigger1 = ctrl
trigger2 = (StateNo=[200,510]) && MoveContact
trigger3 = ((StateNo=3100 &&AnimElemTime(48)<0)  || (StateNo=[3300,3310])) && MoveContact
;---------------------------------------------------------------------------
[State -1, Shoryu Reppa]
type = ChangeState
value = 3300
triggerall = (command="Shoryu Reppa1"&&power>=1000 || command="Shoryu Reppa2"&&power>=2000)
triggerall = statetype != A && var(58)<1
trigger1 = ctrl
trigger2 = (StateNo=[200,510]) && MoveContact
;---------------------------------------------------------------------------
[State -1, Shoryu Reppa]
type = ChangeState
value = 3301
triggerall = command="Shoryu Reppa3" && power>=3000
triggerall = statetype != A && var(58)<1
trigger1 = ctrl
trigger2 = (StateNo=[200,510])  && MoveContact
;---------------------------------------------------------------------------
[State -1, Ryusen Kyaku]
type = ChangeState
value = 1050
triggerall = var(58)<1
triggerall = (command="RyusenKyaku1"||command="RyusenKyaku2"||command="RyusenKyaku3") &&  statetype != A
trigger1 = ctrl
trigger2 = (StateNo = [200,399]) && MoveContact
;---------------------------------------------------------------------------
[State -1, Rasetsu Kyaku]
type = ChangeState
value = 1040
triggerall = (command="Rasetsu Kyaku1"||command="Rasetsu Kyaku2"||command="Rasetsu Kyaku3")
triggerall = statetype != A && var(58)<1
trigger1 = ctrl
;---------------------------------------------------------------------------
[State -1, Air Tatsumaki Zankuu Kyaku]
type = ChangeState
value = 1030
triggerall = (command="TatsumakiZankuuKyaku1"||command="TatsumakiZankuuKyaku2"||command="TatsumakiZankuuKyaku3")
triggerall = statetype = A && var(58)<1
trigger1 = ctrl
trigger2 = (stateno = [600,799]) && MoveContact
;---------------------------------------------------------------------------
[State -1, Tatsumaki Zankuu Kyaku]
type = ChangeState
value = 1020
triggerall = (command="TatsumakiZankuuKyaku1"||command="TatsumakiZankuuKyaku2"||command="TatsumakiZankuuKyaku3")
triggerall = statetype != A && var(58)<1
trigger1 = ctrl
trigger2 = (stateno = [200,399]) && MoveContact
trigger3 = StateNo=500||StateNo=510 && MoveContact
;---------------------------------------------------------------------------
[State -1, Shoryuken]
type = ChangeState
value = 1010
triggerall = var(58)<1
triggerall = (command="Shoryuken1"||command="Shoryuken2"||command="Shoryuken3") && statetype != A
trigger1 = ctrl
trigger2 = ((StateNo = [200,399]) || StateNo=520) && MoveContact
;---------------------------------------------------------------------------
;Hadouken
[State -1, Hadouken]
type = ChangeState
value = 1000
triggerall = var(58)<1
triggerall = (command="Hadouken1"||command="Hadouken2"||command="Hadouken3") &&  statetype != A
triggerall = NumHelper(1001)=0
trigger1 = ctrl
trigger2 = (StateNo = [200,399])||Stateno=400||StateNo=500 && MoveContact
;---------------------------------------------------------------------------
;Powerup
[State -1, Powerup]
type = ChangeState
value = 800
triggerall = var(58)<1
triggerall = statetype = S && power < 3000
trigger1 = command = "holdb" && command = "holdy"
trigger1 = ctrl
;---------------------------------------------------------------------------
[State -1, Evade]
type = ChangeState
value = 850
triggerall = var(58)<1
triggerall = StateType = S && Ctrl
trigger1 = command = "x" && command = "a"
;---------------------------------------------------------------------------
[State -1, Evade Punch]
type = ChangeState
value = 851
triggerall = var(58)<1
triggerall = StateType = S
triggerall = StateNo = 850 && Time >= 15
trigger1 = command = "x" || command = "y" || command = "z"
;---------------------------------------------------------------------------
[State -1, Evade Kick]
type = ChangeState
value = 852
triggerall = var(58)<1
triggerall = StateType = S
triggerall = StateNo = 850 && Time >= 15
trigger1 = command = "a" || command = "b" || command = "c"
;---------------------------------------------------------------------------
; Run Fwd
[State -1, Run]
type = ChangeState
value = 100
triggerall = var(58)<1
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
; Hop Back
[State -1, Hop Back]
type = ChangeState
value = 105
triggerall = var(58)<1
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
;Throw1
[State -1, Throw1]
type = ChangeState
value = 900
triggerall = statetype = S && var(58)<1
triggerall = command = "holdfwd" || command = "holdback"
triggerall = command = "2punchs"
trigger1 = ctrl
;---------------------------------------------------------------------------
;Throw2
[State -1, Throw2]
type = ChangeState
value = 905
triggerall = statetype = S && var(58)<1
triggerall = command = "holdfwd" || command = "holdback"
triggerall = command = "2kicks"
trigger1 = ctrl
;===========================================================================
;---------------------------------------------------------------------------
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = var(58)<1
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl
;---------------------------------------------------------------------------
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = var(58)<1 && P2BodyDist X > 10
triggerall = command = "x" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = (StateNo=200||StateNo=210)&&MoveContact
trigger3 = StateNo=300||StateNo=400||StateNo=500&&MoveContact
;---------------------------------------------------------------------------
[State -1, Stand Light Punch (close)]
type = ChangeState
value = 210
triggerall = var(58)<1 && P2BodyDist X < 10
triggerall = command = "x" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = (StateNo=200||StateNo=210)&&MoveContact
trigger3 = StateNo=300||StateNo=400||StateNo=500&&MoveContact
;---------------------------------------------------------------------------
[State -1, Stand Medium Punch]
type = ChangeState
value = 220
triggerall = var(58)<1 && P2BodyDist X >= 6
triggerall = command = "y" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = (StateNo=200||StateNo=210) && MoveContact
trigger3 = (StateNo=300||StateNo=310) && MoveContact
;---------------------------------------------------------------------------
[State -1, Stand Medium Punch (close)]
type = ChangeState
value = 230
triggerall = var(58)<1 && P2BodyDist X < 6
triggerall = command = "y" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = (StateNo=200||StateNo=210) && MoveContact
trigger3 = (StateNo=300||StateNo=310) && MoveContact
;---------------------------------------------------------------------------
[State -1, Stand Strong Punch]
type = ChangeState
value = 240
triggerall = var(58)<1 && P2BodyDist X > 5
triggerall = command = "z" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = ((StateNo = [200,230]) || (StateNo = [300,310])) && MoveContact
;---------------------------------------------------------------------------
[State -1, Stand Strong Punch (close)]
type = ChangeState
value = 250
triggerall = var(58)<1 && P2BodyDist X < 5
triggerall = command = "z" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = ((StateNo = [200,220]) || (StateNo = [300,310])) && MoveContact
;---------------------------------------------------------------------------
[State -1, Stand Light Kick]
type = ChangeState
value = 300
triggerall = var(58)<1
triggerall = command = "a" && command != "holddown"
trigger1 = statetype = S && ctrl
;---------------------------------------------------------------------------
[State -1, Stand Medium Kick (forward)]
type = ChangeState
value = 320
triggerall = var(58)<1 && StateType != A
triggerall = command = "b"
triggerall = command != "holddown" && command = "holdfwd"
trigger1 = ctrl
trigger2 = StateNo = 100 && AnimElemTime(4) > 0
;---------------------------------------------------------------------------
[State -1, Stand Medium Kick]
type = ChangeState
value = 310
triggerall = var(58)<1
triggerall = command = "b" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = ((StateNo = [200,230]) || (StateNo = [300,301])) &&MoveContact
trigger3 = (StateNo=300)&&MoveContact
;---------------------------------------------------------------------------
[State -1, Stand Strong Kick]
type = ChangeState
value = 330
triggerall = var(58)<1 && P2BodyDist X > 7
triggerall = command = "c" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = ((StateNo = [200,230]) || (StateNo = [300,330])) && MoveContact
;---------------------------------------------------------------------------
[State -1, Stand Strong Kick (close)]
type = ChangeState
value = 340
triggerall = var(58)<1 && P2BodyDist X < 7
triggerall = command = "c" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = ((StateNo = [200,230]) || (StateNo = [300,330])) && MoveContact
;---------------------------------------------------------------------------
; Crouching Light Punch
[State -1, Crouch Light Punch]
type = ChangeState
value = 400
triggerall = var(58)<1
triggerall = command = "x" && command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = StateNo=200||StateNo=400||StateNo=500 && Movecontact
;---------------------------------------------------------------------------
; Crouching Medium Punch
[State -1, Crouch Medium Punch]
type = ChangeState
value = 410
triggerall = var(58)<1
triggerall = command = "y" && command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
;---------------------------------------------------------------------------
; Crouching Strong Punch
[State -1, Crouch Strong Punch]
type = ChangeState
value = 420
triggerall = var(58)<1
triggerall = command = "z" && command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = ((StateNo = [200,230]) || (StateNo = [300,320])) && MoveContact
;---------------------------------------------------------------------------
; Crouching Light Kick
[State -1, Crouch Light Kick]
type = ChangeState
value = 500
triggerall = var(58)<1
triggerall = command = "a" && command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = StateNo=200||StateNo=400||StateNo=500 && MoveContact
;---------------------------------------------------------------------------
; Crouching Medium Kick
[State -1, Crouch Medium Kick]
type = ChangeState
value = 510
triggerall = var(58)<1
triggerall = command = "b" && command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = ((StateNo=[200,210])||(StateNo =[300,310])) && MoveContact
trigger3 = StateNo=400||StateNo=500 && MoveContact
;---------------------------------------------------------------------------
; Crouching Strong Kick
[State -1, Crouch Strong Kick]
type = ChangeState
value = 520
triggerall = var(58)<1
triggerall = command = "c" && command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = ((StateNo = [200,230]) || (StateNo = [300,320])) && MoveContact
trigger3 = StateNo=400||StateNo=500 && MoveContact
;---------------------------------------------------------------------------
; Jump Light Punch
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = var(58)<1
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
; Jump Medium Punch
[State -1, Jump Medium Punch]
type = ChangeState
value = 610
triggerall = var(58)<1
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
; Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 620
triggerall = var(58)<1
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
; Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = IfElse(Vel X != 0,730,700)
triggerall = var(58)<1
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
; Jump Medium Kick
[State -1, Jump Medium Kick]
type = ChangeState
value = IfElse(Vel X != 0,740,710)
triggerall = var(58)<1
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
; Jump Strong Kick
[State -1, Jump Strong Kick]
type = ChangeState
value = IfElse(Vel X != 0,750,720)
triggerall = var(58)<1
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
